ObjectListAdapter (Colt 1.2.0 - API Specification)
Keywords: cern.colt.list.adapter.ObjectListAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.colt.list.adapter
Class ObjectListAdapter

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              cern.colt.list.adapter.ObjectListAdapter

All Implemented Interfaces:
  Collection, List

public class ObjectListAdapter
extends AbstractList
implements List

Adapter that permits an `ObjectArrayList` to be viewed and treated as a JDK 1.2 `AbstractList`. Makes the contained list compatible with the JDK 1.2 Collections Framework.

Constructor Summary
`ObjectListAdapter(ObjectArrayList content)` Constructs a list backed by the specified content list.

Method Summary
`void` | `add(int index, Object element)` Inserts the specified element at the specified position in this list (optional operation).
`Object` | `get(int index)` Returns the element at the specified position in this list.
`Object` | `remove(int index)` Removes the element at the specified position in this list (optional operation).
`Object` | `set(int index, Object element)` Replaces the element at the specified position in this list with the specified element (optional operation).
`int` | `size()` Returns the number of elements in this list.

Methods inherited from class java.util.AbstractList
`add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, addAll, addAll, clear, contains, containsAll, equals, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, removeAll, retainAll, subList, toArray, toArray`

Constructor Detail

### ObjectListAdapter

    public ObjectListAdapter(ObjectArrayList content)

  Constructs a list backed by the specified content list.

Method Detail

### add

    public void add(int index,
                    Object element)

  Inserts the specified element at the specified position in this list (optional operation). Shifts the element currently at that position (if any) and any subsequent elements to the right (adds one to their indices).

  Specified by:
    `add` in interface `List`
  Parameters:
    `index` - index at which the specified element is to be inserted.
    `element` - element to be inserted.
  Throws:
    `ClassCastException` - if the class of the specified element prevents it from being added to this list.
    `IllegalArgumentException` - if some aspect of the specified element prevents it from being added to this list.
    `IndexOutOfBoundsException` - index is out of range (`index < 0 || index > size()`).

### get

    public Object get(int index)

  Returns the element at the specified position in this list.

  Specified by:
    `get` in interface `List`
  Parameters:
    `index` - index of element to return.
  Returns:
    the element at the specified position in this list.
  Throws:
    `IndexOutOfBoundsException` - if the given index is out of range (`index < 0 || index >= size()`).

### remove

    public Object remove(int index)

  Removes the element at the specified position in this list (optional operation). Shifts any subsequent elements to the left (subtracts one from their indices). Returns the element that was removed from the list.

  Specified by:
    `remove` in interface `List`
  Parameters:
    `index` - the index of the element to remove.
  Returns:
    the element previously at the specified position.
  Throws:
    `IndexOutOfBoundsException` - if the specified index is out of range (`index < 0 || index >= size()`).

### set

    public Object set(int index,
                      Object element)

  Replaces the element at the specified position in this list with the specified element (optional operation).

  Specified by:
    `set` in interface `List`
  Parameters:
    `index` - index of element to replace.
    `element` - element to be stored at the specified position.
  Returns:
    the element previously at the specified position.
  Throws:
    `ClassCastException` - if the class of the specified element prevents it from being added to this list.
    `IllegalArgumentException` - if some aspect of the specified element prevents it from being added to this list.
    `IndexOutOfBoundsException` - if the specified index is out of range (`index < 0 || index >= size()`).

### size

    public int size()

  Returns the number of elements in this list.

  Specified by:
    `size` in interface `List`
  Returns:
    the number of elements in this list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage